{% extends "base.html" %}

{% block title %}
    {{ project.name }}
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>{{ project.name }}</h1>
            <p>{{ project.description }}</p>
        </div>
         <div class="project_grid">
            <div class="mixes_cell">
                <h2>Mixes</h2>
                    <p>
                        <a href="{% url "upload_mix" %}">Add mix to project</a>
                    </p>
                {% if project.mixes.count > 0 %}
                    {% for mix in project.mixes.all %}
                        <div>
                            <div>
                                <a href="{{ MEDIA_URL }}{{ mix.file }}">{{ mix.name }}</a>
                            </div>
                            <div>
                                {{ mix.user }}
                                {{ mix.date }}
                            </div>
                        </div>
                    {% endfor %}
                {% else %}
                    <p>No mixes loaded into project.</p>
                {% endif %}
            </div>
            <div class="audiofiles_cell">
                <h2>Audio Files</h2>
                <p>
                    <a href="{% url "upload_audiofile" %}">Add file to project</a>
                </p>
                {% if project.audio_files.count > 0 %}
                    {% for file in project.audio_files.all %}
                        <div>
                            <div>
                                <a href="{{ MEDIA_URL }}{{ file.file }}">{{ file.name }}</a>
                            </div>
                            <div>
                                {{ file.user }}
                                {{ file.date }}
                            </div>
                        </div>
                    {% endfor %}
                {% else %}
                    <p>No audio files loaded into project.</p>
                {% endif %}
            </div>
            <div class="posts_cell">
                <h2>Chat</h2>
                <p>
                    <a href="{% url "create_post" project.id %}">Make post</a>
                </p>
                <!--
                <form action="post">
                    {% csrf_token %}
                    {{ form.as_p }}
                    <button>Send</button>
                </form>
                -->
                {% if project.posts.count > 0 %}
                    {% for post in project.posts.all %}
                        <div>
                            {{ post.user }}
                            {{ post.date }}
                            {{ post.message }}
                        </div>
                    {% endfor %}
                {% else %}
                    <p>No posts for this project.</p>
                {% endif %}

            </div>
            <div class="contributors_cell">
                <h2>Contributors</h2>
            </div>
        </div>
    </main>
{% endblock content %}
